import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_postgres_running_and_enabled(host):
    postgres = host.service("postgres")
    assert postgres.is_running
    assert postgres.is_enabled


def test_postgres_auth(host):
    login = host.run(
        "podman exec --env PGPASSWORD=postgres systemd-postgres psql -Upostgres -c 'select 1' -q postgres"  # noqa :E501
    )
    assert login.succeeded


def test_postgres_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:5432").is_listening
